#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);
    int n;
    cin>>n;
    int k = 2*n;
    int a[n];
    int b[n];
    int l = 0;
    int x = 0;
    int brojac = 0;
    for (int i = 1; i<=n; i++)
    {
        a[x]=i;
        x++;
    }
    for (int i = n+1; i<=2*n; i++)
    {
        b[l]=i;
        l++;
    }
    if (n%2==0){
    for (int i = 0; i<n; i++)

    {
        if (i==n/2){cout<<'\n';}
        cout<<a[i]<<" "<<b[n-1-i]<<" ";


    }
    }
    else
    {
        for (int i = 0; i<n; i++)
        {
            cout<<a[i]<<" ";
            brojac++;
            if (brojac==n){cout<<'\n';}
            cout<<b[n-1-i]<<" ";
            brojac++;
        }
    }

}